PDA

View Full Version : GLSL compatibility



YengaMatic
06-01-2005, 05:55 AM
Hi, we are developing a CG project for university. It has to add lots of realism, and it's accomplished through shaders made in GLSL.

Can i compile those shaders to work with geforce4 or ati equivalent fragment and vertex programs? I don't want to learn assembly if GLSL is there.

And what about the shaders version? It's a bit confusing all that versioning in both hardware and software. Do i have to write the shader for both old and new cards?

Java Cool Dude
06-01-2005, 06:09 AM
GeForce4 and down do not support Fragment Shaders, however Vertex shading is right there.
You can always use their register combiners as well as their Texture Shader but that's as far as you can go.